Package org.gradle.api.artifacts

## Interface ResolvedDependency

-     public interface ResolvedDependency

  Information about a resolved dependency.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<ResolvedArtifact>` | `getAllArtifacts​(ResolvedDependency parent)` | Returns the parent artifacts of this dependency and its children.
    `Set<ResolvedArtifact>` | `getAllModuleArtifacts()` | Returns the module artifacts belonging to this ResolvedDependency and recursively to its children.
    `Set<ResolvedArtifact>` | `getArtifacts​(ResolvedDependency parent)` | Returns the parent artifacts of this dependency.
    `Set<ResolvedDependency>` | `getChildren()` | Returns the transitive ResolvedDependency instances of this resolved dependency.
    `String` | `getConfiguration()` | Returns the configuration under which this instance was resolved.
    `ResolvedModuleVersion` | `getModule()` | Returns the module which this resolved dependency belongs to.
    `Set<ResolvedArtifact>` | `getModuleArtifacts()` | Returns the module artifacts belonging to this ResolvedDependency.
    `String` | `getModuleGroup()` | Returns the module group of the resolved dependency.
    `String` | `getModuleName()` | Returns the module name of the resolved dependency.
    `String` | `getModuleVersion()` | Returns the module version of the resolved dependency.
    `String` | `getName()` | Returns the name of the resolved dependency.
    `Set<ResolvedArtifact>` | `getParentArtifacts​(ResolvedDependency parent)` | Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent.
    `Set<ResolvedDependency>` | `getParents()` | Returns the ResolvedDependency instances that have this instance as a transitive dependency.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the resolved dependency.

    - #### getModuleGroup

          String getModuleGroup()

      Returns the module group of the resolved dependency.

    - #### getModuleName

          String getModuleName()

      Returns the module name of the resolved dependency.

    - #### getModuleVersion

          String getModuleVersion()

      Returns the module version of the resolved dependency.

    - #### getConfiguration

          String getConfiguration()

      Returns the configuration under which this instance was resolved.

    - #### getModule

          ResolvedModuleVersion getModule()

      Returns the module which this resolved dependency belongs to.
      Returns:
        The module.

    - #### getChildren

          Set<ResolvedDependency> getChildren()

      Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.

    - #### getParents

          Set<ResolvedDependency> getParents()

      Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.

    - #### getModuleArtifacts

          Set<ResolvedArtifact> getModuleArtifacts()

      Returns the module artifacts belonging to this ResolvedDependency. A module artifact is an artifact that belongs to a ResolvedDependency independent of a particular parent. Returns never null.

    - #### getAllModuleArtifacts

          Set<ResolvedArtifact> getAllModuleArtifacts()

      Returns the module artifacts belonging to this ResolvedDependency and recursively to its children. Returns never null.
      See Also:
        `getModuleArtifacts()`

    - #### getParentArtifacts

          Set<ResolvedArtifact> getParentArtifacts​(ResolvedDependency parent)

      Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent. Returns never null.
      Parameters:
        `parent` - A parent of the ResolvedDependency. Must not be null.
      Throws:
        `InvalidUserDataException` - If the parent is unknown or null

    - #### getArtifacts

          Set<ResolvedArtifact> getArtifacts​(ResolvedDependency parent)

      Returns the parent artifacts of this dependency. Never returns null.
      Parameters:
        `parent` - A parent of the ResolvedDependency. Must not be null.
      Throws:
        `InvalidUserDataException` - If the parent is unknown or null

    - #### getAllArtifacts

          Set<ResolvedArtifact> getAllArtifacts​(ResolvedDependency parent)

      Returns the parent artifacts of this dependency and its children. Never returns null.
      Parameters:
        `parent` - A parent of the ResolvedDependency. Must not be null.
      Throws:
        `InvalidUserDataException` - If the parent is unknown or null